/*
   Class Name:

      CDDSLoader.

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This class loads a dds texture into this object.
*/


#ifndef CDDSLOADER_H
#define CDDSLOADER_H

#include<windows.h>
#include<stdio.h>
#include<gl/gl.h>
#include<gl/glu.h>
#include<gl/glext.h>


class CDDSLoader
{
   public:
      CDDSLoader();
      ~CDDSLoader();

      bool LoadDDSFile(char *filename);
      void FreeImage();

      unsigned int ID;
      int imageWidth;
      int imageHeight;
      unsigned char *image;
      int type;
      int totalComponenets;
      int totalMips;
};

#endif


// Copyright October 2004
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com
